Bug 280774 - Amarok is crashed every time it is launched [@ Daap::Reader::contentCodesReceived]
Summary: Amarok is crashed every time it is launched [@ Daap::Reader::contentCodesRece...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/DAAP (show other bugs)
Version: 2.5.0
Platform: openSUSE RPMs Linux
: HI crash (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords: regression, release_blocker
: 292053 302854 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-08-25 13:54 UTC by Eugene
Modified: 2012-09-24 05:05 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments
New crash information added by DrKonqi (20.43 KB, text/plain)
2011-09-01 11:29 UTC, Eugene
Details
New crash information added by DrKonqi (23.43 KB, text/plain)
2011-09-08 07:16 UTC, Eugene
Details
New crash information added by DrKonqi (15.83 KB, text/plain)
2011-11-04 02:24 UTC, Garth Williamson
Details
New crash information added by DrKonqi (18.72 KB, text/plain)
2011-12-13 10:37 UTC, Kender
Details
New crash information added by DrKonqi (16.92 KB, text/plain)
2012-09-23 22:09 UTC, markshawa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene 2011-08-25 13:54:45 UTC
Application: amarok (2.4.3)
KDE Platform Version: 4.7.00 (4.7.0) "release 10"
Qt Version: 4.7.3
Operating System: Linux 2.6.37.6-0.7-desktop i686
Distribution: "openSUSE 11.4 (i586)"

-- Information about the crash:
Amarok: 2.4.3
Qt: 4.7.3
KDE Development Platform: 4.7.00 (4.7.0) "release 10"

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb1837a80 (LWP 15101))]

Thread 22 (Thread 0xab024b70 (LWP 15102)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083432 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeb44 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb03a8353 in ?? () from /usr/lib/libxine.so.1
#4  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#5  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 21 (Thread 0xaa823b70 (LWP 15103)):
#0  0xb430b22b in clock_gettime () from /lib/librt.so.1
#1  0xb6201235 in ?? () from /usr/lib/libQtCore.so.4
#2  0xb62d40d6 in ?? () from /usr/lib/libQtCore.so.4
#3  0xb62d291b in ?? () from /usr/lib/libQtCore.so.4
#4  0xb62d29bd in ?? () from /usr/lib/libQtCore.so.4
#5  0xb4255a70 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0xb42568e2 in ?? () from /lib/libglib-2.0.so.0
#7  0xb4256fce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0xb62d3167 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0xb62a3bed in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#10 0xb62a3e19 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0xb61a4ec9 in QThread::exec() () from /usr/lib/libQtCore.so.4
#12 0xb04020f8 in Phonon::Xine::XineThread::run() () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
#13 0xb61a7b13 in ?? () from /usr/lib/libQtCore.so.4
#14 0xb507eb05 in start_thread () from /lib/libpthread.so.0
#15 0xb54e0d5e in clone () from /lib/libc.so.6

Thread 20 (Thread 0xaa01cb70 (LWP 15104)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb54d603e in poll () from /lib/libc.so.6
#2  0xb3eb4616 in ?? () from /usr/lib/libpulse.so.0
#3  0xb3ea32aa in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0xb3ea3aa7 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0xb3ea3b84 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0xb3eb459e in ?? () from /usr/lib/libpulse.so.0
#7  0xb2109186 in ?? () from /usr/lib/libpulsecommon-0.9.22.so
#8  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#9  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 19 (Thread 0xa57d8b70 (LWP 15105)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeaec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb03bb58c in ?? () from /usr/lib/libxine.so.1
#4  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#5  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 18 (Thread 0xa4f7eb70 (LWP 15106)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeaec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb03bb58c in ?? () from /usr/lib/libxine.so.1
#4  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#5  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 17 (Thread 0xa45ffb70 (LWP 15107)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeaec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb03bb58c in ?? () from /usr/lib/libxine.so.1
#4  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#5  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 16 (Thread 0xa2edab70 (LWP 15109)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeaec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa3474dc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa3473863 in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa342fa70 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa34b1b90 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#8  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 15 (Thread 0xa0bc4b70 (LWP 15110)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeaec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa3474dc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa3473863 in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa342fa70 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa34b1b90 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#8  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 14 (Thread 0xa03c3b70 (LWP 15111)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeaec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa3474dc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa3473863 in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa342fa70 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa34b1b90 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#8  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 13 (Thread 0x9fbc2b70 (LWP 15112)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeaec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa3474dc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa3473863 in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa342fa70 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa34b1b90 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#8  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 12 (Thread 0x9e7b9b70 (LWP 15114)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb54d99b1 in select () from /lib/libc.so.6
#2  0xa347571b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa34b06bc in srv_lock_timeout_thread () from /usr/lib/libmysqld.so.0
#4  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#5  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 11 (Thread 0x9dfb8b70 (LWP 15115)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb54d99b1 in select () from /lib/libc.so.6
#2  0xa347571b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa34b09fe in srv_error_monitor_thread () from /usr/lib/libmysqld.so.0
#4  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#5  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 10 (Thread 0x9d7b7b70 (LWP 15116)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb54d99b1 in select () from /lib/libc.so.6
#2  0xa347571b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa34b0240 in srv_monitor_thread () from /usr/lib/libmysqld.so.0
#4  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#5  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 9 (Thread 0x9cfb6b70 (LWP 15117)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeaec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa3474dc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa34b10a3 in srv_master_thread () from /usr/lib/libmysqld.so.0
#5  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#6  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 8 (Thread 0x9c7b5b70 (LWP 15118)):
#0  0xb430b22b in clock_gettime () from /lib/librt.so.1
#1  0xb6201235 in ?? () from /usr/lib/libQtCore.so.4
#2  0xb62d40d6 in ?? () from /usr/lib/libQtCore.so.4
#3  0xb62d291b in ?? () from /usr/lib/libQtCore.so.4
#4  0xb62d29bd in ?? () from /usr/lib/libQtCore.so.4
#5  0xb4255a70 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0xb42568e2 in ?? () from /lib/libglib-2.0.so.0
#7  0xb4256fce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0xb62d3167 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0xb62a3bed in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#10 0xb62a3e19 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0xb61a4ec9 in QThread::exec() () from /usr/lib/libQtCore.so.4
#12 0xb628397d in ?? () from /usr/lib/libQtCore.so.4
#13 0xb61a7b13 in ?? () from /usr/lib/libQtCore.so.4
#14 0xb507eb05 in start_thread () from /lib/libpthread.so.0
#15 0xb54e0d5e in clone () from /lib/libc.so.6

Thread 7 (Thread 0x9b7b3b70 (LWP 15121)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeaec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb61a8200 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb4cc4ab6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#5  0xb4cc78bb in ThreadWeaver::WorkingHardState::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#6  0xb4cc46ea in ThreadWeaver::WeaverImpl::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#7  0xb4cc79b4 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#8  0xb4cc4643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#9  0xb4cc6394 in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#10 0xb4cc644a in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#11 0xb61a7b13 in ?? () from /usr/lib/libQtCore.so.4
#12 0xb507eb05 in start_thread () from /lib/libpthread.so.0
#13 0xb54e0d5e in clone () from /lib/libc.so.6

Thread 6 (Thread 0x9a9c0b70 (LWP 15124)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeaec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb61a8200 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb4cc4ab6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#5  0xb4cc78bb in ThreadWeaver::WorkingHardState::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#6  0xb4cc46ea in ThreadWeaver::WeaverImpl::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#7  0xb4cc79b4 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#8  0xb4cc4643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#9  0xb4cc6394 in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#10 0xb4cc644a in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#11 0xb61a7b13 in ?? () from /usr/lib/libQtCore.so.4
#12 0xb507eb05 in start_thread () from /lib/libpthread.so.0
#13 0xb54e0d5e in clone () from /lib/libc.so.6

Thread 5 (Thread 0x9a1b3b70 (LWP 15125)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeaec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb61a8200 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb4cc4ab6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#5  0xb4cc78bb in ThreadWeaver::WorkingHardState::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#6  0xb4cc46ea in ThreadWeaver::WeaverImpl::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#7  0xb4cc79b4 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#8  0xb4cc4643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#9  0xb4cc6394 in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#10 0xb4cc644a in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#11 0xb61a7b13 in ?? () from /usr/lib/libQtCore.so.4
#12 0xb507eb05 in start_thread () from /lib/libpthread.so.0
#13 0xb54e0d5e in clone () from /lib/libc.so.6

Thread 4 (Thread 0x999b2b70 (LWP 15126)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeaec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb61a8200 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb4cc4ab6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#5  0xb4cc78bb in ThreadWeaver::WorkingHardState::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#6  0xb4cc46ea in ThreadWeaver::WeaverImpl::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#7  0xb4cc79b4 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#8  0xb4cc4643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#9  0xb4cc79d0 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#10 0xb4cc4643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#11 0xb4cc6394 in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#12 0xb4cc644a in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#13 0xb61a7b13 in ?? () from /usr/lib/libQtCore.so.4
#14 0xb507eb05 in start_thread () from /lib/libpthread.so.0
#15 0xb54e0d5e in clone () from /lib/libc.so.6

Thread 3 (Thread 0x9916bb70 (LWP 15128)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeaec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb3877e17 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#5  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 2 (Thread 0x97f91b70 (LWP 15131)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5083105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54eeaec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb46fef27 in ?? () from /usr/lib/libQtScript.so.4
#4  0xb46fef6f in ?? () from /usr/lib/libQtScript.so.4
#5  0xb507eb05 in start_thread () from /lib/libpthread.so.0
#6  0xb54e0d5e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb1837a80 (LWP 15101)):
[KCrash Handler]
#7  0xb62c4b7e in QVariant::toString() const () from /usr/lib/libQtCore.so.4
#8  0xa3de9d7d in Daap::Reader::contentCodesReceived(int, bool) () from /usr/lib/kde4/amarok_collection-daapcollection.so
#9  0xa3deb657 in Daap::Reader::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/kde4/amarok_collection-daapcollection.so
#10 0xb62ab1fd in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#11 0xb62ba66c in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#12 0xb51f7585 in QHttp::requestFinished(int, bool) () from /usr/lib/libQtNetwork.so.4
#13 0xb5200892 in ?? () from /usr/lib/libQtNetwork.so.4
#14 0xb5200c96 in QHttp::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtNetwork.so.4
#15 0xa3dedef2 in Daap::ContentFetcher::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/kde4/amarok_collection-daapcollection.so
#16 0xb62ab1fd in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#17 0xb62b5ce5 in QMetaCallEvent::placeMetaCall(QObject*) () from /usr/lib/libQtCore.so.4
#18 0xb62b9f5f in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#19 0xb57c6c74 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#20 0xb57cfa17 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#21 0xb74f07b1 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#22 0xb62a490e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#23 0xb62a869c in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#24 0xb62a87ec in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQtCore.so.4
#25 0xb62d2f94 in ?? () from /usr/lib/libQtCore.so.4
#26 0xb4256509 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#27 0xb4256d10 in ?? () from /lib/libglib-2.0.so.0
#28 0xb4256fce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#29 0xb62d311b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#30 0xb587da3a in ?? () from /usr/lib/libQtGui.so.4
#31 0xb62a3bed in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#32 0xb62a3e19 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#33 0xb62a88c0 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#34 0xb57c49c4 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#35 0x080554dd in main ()

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-08-27 21:56:28 UTC
Please install debugging symbols for Amarok and provide a new backtrace.
Comment 2 Eugene 2011-09-01 11:29:50 UTC
Created attachment 63283 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.00 (4.7.0) "release 10" using Qt 4.7.3

Here new backtrace with debug information. Please let me know if you need additional information from my side.

-- Backtrace (Reduced):
#7  qVariantToHelper<QString> (this=0x11) at kernel/qvariant.cpp:2101
#8  QVariant::toString (this=0x11) at kernel/qvariant.cpp:2133
#9  0xa475bd7d in Daap::Reader::contentCodesReceived(int, bool) () from /usr/lib/kde4/amarok_collection-daapcollection.so
#10 0xa475d657 in Daap::Reader::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/kde4/amarok_collection-daapcollection.so
[...]
#13 0xb524d585 in QHttp::requestFinished (this=0x8bce840, _t1=1, _t2=false) at .moc/release-shared/moc_qhttp.cpp:191
Comment 3 Eugene 2011-09-01 11:31:56 UTC
I suppose that daap plugin causes crashes.
Comment 4 Myriam Schweingruber 2011-09-02 21:31:18 UTC
Sorry, but there still are no debugging symbols for amarok, as the code line is not shown. Please make sure you have the package amarok-debuginfo installed.
Comment 5 Eugene 2011-09-08 06:16:18 UTC
Hi, last backtrace was made with amarok-debuginfo installed:

> rpm -qi amarok
Name        : amarok                       Relocations: (not relocatable)
Version     : 2.4.3                             Vendor: obs://build.opensuse.org/KDE
Release     : 5.2                           Build Date: Sat 03 Sep 2011 05:10:05 AM EEST
Install Date: Mon 05 Sep 2011 09:27:01 AM EEST      Build Host: build31
Group       : Productivity/Multimedia/Sound/Players   Source RPM: amarok-2.4.3-5.2.src.rpm
Size        : 28845277                         License: GPLv2+
Signature   : DSA/SHA1, Sat 03 Sep 2011 05:11:52 AM EEST, Key ID 27c070176f88bb2f
URL         : http://amarok.kde.org/
Summary     : Media Player for KDE
Description :
Amarok is a media player for all kinds of media. This includes MP3, Ogg
Vorbis, audio CDs, podcasts and streams. Play lists can be stored in
.m3u or .pls files.
Distribution: KDE:Release:47 / openSUSE_11.4

> rpm -qi amarok-debuginfo
Name        : amarok-debuginfo             Relocations: (not relocatable)
Version     : 2.4.3                             Vendor: obs://build.opensuse.org/KDE
Release     : 15.1                          Build Date: Mon 29 Aug 2011 08:12:40 PM EEST
Install Date: Thu 01 Sep 2011 01:51:41 PM EEST      Build Host: build31
Group       : Development/Debug             Source RPM: amarok-2.4.3-15.1.src.rpm
Size        : 142468515                        License: GPLv2+
Signature   : DSA/SHA1, Mon 29 Aug 2011 08:17:38 PM EEST, Key ID 27c070176f88bb2f                                                   
URL         : http://amarok.kde.org/                                                                                                
Summary     : Debug information for package amarok                                                                                  
Description :                                                                                                                       
This package provides debug information for package amarok.                                                                         
Debug information is useful when developing applications that use this                                                              
package or when debugging this package.                                                                                             
Distribution: KDE:UpdatedApps / openSUSE_11.4

Is there any other way to install/add debug symbols for amarok?
Comment 6 Eugene 2011-09-08 07:16:02 UTC
Created attachment 63501 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.00 (4.7.0) "release 10" using Qt 4.7.4

It seems absence of debug symbols was caused by packages release difference (amarok: 5.2, amarok-debuginfo: 5.1). I've installed amarok package release 5.1:

> rpm -qi amarok
Name        : amarok                       Relocations: (not relocatable)
Version     : 2.4.3                             Vendor: obs://build.opensuse.org/KDE
Release     : 15.1                          Build Date: Mon 29 Aug 2011 08:12:40 PM EEST
Install Date: Thu 08 Sep 2011 09:27:30 AM EEST      Build Host: build31
Group       : Productivity/Multimedia/Sound/Players   Source RPM: amarok-2.4.3-15.1.src.rpm
Size        : 25104221                         License: GPLv2+
Signature   : DSA/SHA1, Mon 29 Aug 2011 08:17:36 PM EEST, Key ID 27c070176f88bb2f
URL         : http://amarok.kde.org/
Summary     : Media Player for KDE
Description :
Amarok is a media player for all kinds of media. This includes MP3, Ogg
Vorbis, audio CDs, podcasts and streams. Play lists can be stored in
.m3u or .pls files.
Distribution: KDE:UpdatedApps / openSUSE_11.4

> rpm -qi amarok-debuginfo
Name        : amarok-debuginfo             Relocations: (not relocatable)
Version     : 2.4.3                             Vendor: obs://build.opensuse.org/KDE
Release     : 15.1                          Build Date: Mon 29 Aug 2011 08:12:40 PM EEST
Install Date: Thu 01 Sep 2011 01:51:41 PM EEST      Build Host: build31
Group       : Development/Debug             Source RPM: amarok-2.4.3-15.1.src.rpm
Size        : 142468515                        License: GPLv2+
Signature   : DSA/SHA1, Mon 29 Aug 2011 08:17:38 PM EEST, Key ID 27c070176f88bb2f
URL         : http://amarok.kde.org/
Summary     : Debug information for package amarok
Description :
This package provides debug information for package amarok.
Debug information is useful when developing applications that use this
package or when debugging this package.
Distribution: KDE:UpdatedApps / openSUSE_11.4

And here is new backtrace (now with code lines in trace).

-- Backtrace (Reduced):
#7  qVariantToHelper<QString> (this=0x29) at kernel/qvariant.cpp:2101
#8  QVariant::toString (this=0x29) at kernel/qvariant.cpp:2133
#9  0xa3efed7d in Daap::Reader::contentCodesReceived (this=0x8a93c60, error=false) at /usr/src/debug/amarok-2.4.3/src/core-impl/collections/daap/daapreader/Reader.cpp:124
#10 0xa3f00657 in Daap::Reader::qt_metacall (this=0x8a93c60, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfe14a34) at /usr/src/debug/amarok-2.4.3/build/src/core-impl/collections/daap/Reader.moc:94
[...]
#13 0xb5227875 in QHttp::requestFinished (this=0x8b8f008, _t1=2, _t2=false) at .moc/release-shared/moc_qhttp.cpp:191
Comment 7 Myriam Schweingruber 2011-09-08 08:29:53 UTC
This time it helps, thank you for the feedback :)
Comment 8 Garth Williamson 2011-11-04 02:24:54 UTC
Created attachment 65213 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

I had enabled DAAP plugin and when it is enabled it crashes. Hopefully an extra backtrace is useful.

-- Backtrace (Reduced):
#6  qVariantToHelper<QString> (t=QVariant::String, d=<optimized out>, handler=<optimized out>) at kernel/qvariant.cpp:2101
#7  QVariant::toString (this=0x21) at kernel/qvariant.cpp:2133
#8  0x00007feb479c1d25 in Daap::Reader::contentCodesReceived (this=0x1f85a80, error=<optimized out>) at ../../../../../src/core-impl/collections/daap/daapreader/Reader.cpp:124
#9  0x00007feb479c44a9 in Daap::Reader::qt_metacall (this=0x1f85a80, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff9e7e5d40) at ./Reader.moc:94
[...]
#11 0x00007feb6a80354f in QHttp::requestFinished (this=<optimized out>, _t1=4, _t2=false) at .moc/release-shared/moc_qhttp.cpp:191
Comment 9 Myriam Schweingruber 2011-11-05 12:01:30 UTC
Confirmed by duplicate.
Comment 10 Kender 2011-12-13 10:37:23 UTC
Created attachment 66688 [details]
New crash information added by DrKonqi

amarok (2.4-GIT) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
listen to music the first time is crashed, then crashes every time is lunched

-- Backtrace (Reduced):
#7  qVariantToHelper<QString> (t=QVariant::String, d=..., handler=<optimized out>) at kernel/qvariant.cpp:2101
#8  QVariant::toString (this=0x25) at kernel/qvariant.cpp:2133
#9  0xa61539ea in Daap::Reader::contentCodesReceived (this=0xa1e00f48, error=false) at ../../../../../src/core-impl/collections/daap/daapreader/Reader.cpp:124
#10 0xa61564e7 in Daap::Reader::qt_metacall (this=0xa1e00f48, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfe38194) at ./Reader.moc:94
#11 0xb5aeab7d in metacall (argv=0xbfe38194, idx=7, cl=QMetaObject::InvokeMetaMethod, object=0xa1e00f48) at kernel/qmetaobject.cpp:237
Comment 11 Myriam Schweingruber 2012-01-21 14:17:30 UTC
*** Bug 292053 has been marked as a duplicate of this bug. ***
Comment 12 Matěj Laitl 2012-05-08 18:00:07 UTC
Git commit ae1fefc326872f62c5799e3de86f7ba9839c04b7 by Matěj Laitl.
Committed on 08/05/2012 at 19:53.
Pushed by laitl into branch 'master'.

Daap::Reader: Don't use QList::[ on unreliable input, use ::value()

This should fix bug 280774, but I don't use DAAP collection, do I'm
shooting blindly.

BUGFIXES:
 * Fix crash related to DAAP collection.

Reporters, if this doesn't solve your bug, please reopen.
FIXED-IN: 2.6
DIGEST: bugfix

M  +1    -0    ChangeLog
M  +4    -4    src/core-impl/collections/daap/daapreader/Reader.cpp

http://commits.kde.org/amarok/ae1fefc326872f62c5799e3de86f7ba9839c04b7
Comment 13 Jekyll Wu 2012-07-06 14:19:28 UTC
*** Bug 302854 has been marked as a duplicate of this bug. ***
Comment 14 markshawa 2012-09-23 22:09:48 UTC
Created attachment 74124 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:
Was listening to music when amarok crashed. Cant play any music with any other app either

-- Backtrace (Reduced):
#7  qVariantToHelper<QString> (t=QVariant::String, d=..., handler=<optimized out>) at kernel/qvariant.cpp:2101
#8  QVariant::toString (this=0x29) at kernel/qvariant.cpp:2133
#9  0xa9de8aca in Daap::Reader::contentCodesReceived (this=0x9c42818, error=false) at ../../../../../src/core-impl/collections/daap/daapreader/Reader.cpp:124
[...]
#11 0xb536d0d5 in QHttp::requestFinished (this=0x9b9a750, _t1=1, _t2=false) at .moc/release-shared/moc_qhttp.cpp:205
#12 0xb5376a26 in QHttpPrivate::finishedWithSuccess (this=0x9d99428) at access/qhttp.cpp:2530
Comment 15 Myriam Schweingruber 2012-09-23 22:12:59 UTC
(In reply to comment #14)
> Created attachment 74124 [details]
> New crash information added by DrKonqi
> 
> amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1
> 
Did you actually read the bug report you are submitting this to? This is already fixed in version 2.6, please update.
Comment 16 markshawa 2012-09-24 05:05:42 UTC
I read the bug report, my system is up to date.

On 24 September 2012 00:12, Myriam Schweingruber <myriam@kde.org> wrote:
> https://bugs.kde.org/show_bug.cgi?id=280774
>
> --- Comment #15 from Myriam Schweingruber <myriam@kde.org> ---
> (In reply to comment #14)
>> Created attachment 74124 [details]
>> New crash information added by DrKonqi
>>
>> amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1
>>
> Did you actually read the bug report you are submitting this to? This is
> already fixed in version 2.6, please update.
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.